Commet
  • Pricing
Log InTry out
Add quota POSTList quota allowances GETGet quota allowance GETRemove quota DELETESet quota PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Remove quota

Remove from a customer's quota allowance for a feature. Defaults to 1 if count is omitted. Returns 400 insufficient_balance if the balance would go negative.

DELETE
/usage/quota

Remove from a customer's quota allowance for a feature. Defaults to 1 if count is omitted. Returns 400 insufficient_balance if the balance would go negative.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

customerId?string
externalId?string
featureCode*string
count*integer
idempotencyKey?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/usage/quota" \  -H "Content-Type: application/json" \  -d '{    "featureCode": "string",    "count": 1  }'
{  "success": true,  "data": {    "id": "string",    "customerId": "string",    "featureCode": "string",    "previousBalance": -9007199254740991,    "newBalance": -9007199254740991,    "ts": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "object": "usage_quota",    "livemode": true  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Get quota allowance GET

Get the current quota allowance (used vs included) for a specific feature.

Set quota PUT

Set a customer's quota allowance for a feature to an exact value.